import _Vue, { DirectiveFunction } from 'vue';
import Multimap from '../utils/multimap';
export interface IOption<T extends (...args: any[]) => void> {
    callback: (...args: Parameters<T>) => void;
    context: _Vue;
}
declare class AwareCore {
    eventNames: string[];
    elementsByEventName: Multimap<HTMLElement>;
    private managerByEventName;
    constructor();
    /**
     * Register event with his manager.
     */
    register(eventName: string, Manager: any): void;
    /**
     * Add event listener to element.
     */
    add(eventName: string, el: HTMLElement, options: any): void;
    /**
     * Remove event listener from element.
     */
    remove(eventName: string, el: HTMLElement): void;
    /**
     * Update event listener of element.
     */
    update(eventName: string, el: HTMLElement, options: any): void;
}
declare const _default: {
    core: AwareCore;
    inserted: DirectiveFunction;
    unbind: DirectiveFunction;
    update: DirectiveFunction;
};
export default _default;
