import _Vue from 'vue';
import { IOption } from '../directives/aware';
import { Manager } from './manager';
declare type appearCallback = (isInViewport: boolean, isFullyInViewport: boolean, position: string, context: _Vue) => void;
interface IAppearOption extends IOption<appearCallback> {
    once?: boolean;
    root?: Element;
    rootMargin?: string;
    threshold?: number | number[];
}
export declare class Appear extends Manager<IAppearOption> {
    private observers;
    private elementsByObserver;
    private onceByElement;
    constructor(eventName: string);
    bind(el: HTMLElement, opts: IAppearOption): void;
    unbind(el: HTMLElement): void;
    private createObserver;
    private getObserverByOptions;
    private getObserverByElement;
    private addObserver;
    private removeObserver;
    private unobserve;
    private intersected;
}
export {};
